%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")
%define debug_package %{nil}

Name:           python-netaddr
Version:        0.7.6
Release:        1%{?dist}
Group:          Development/Libraries/Python
Summary:        Python network address representation and manipulation library
License:        BSD
URL:            http://code.google.com/p/netaddr/
Source:		netaddr-%{version}.tar.gz
Requires:       python >= 2.4
BuildRequires:	python >= 2.4
BuildRoot:      %{buildroot}

%description
A pure Python network address representation and manipulation library.

netaddr provides a Pythonic way of working with :-

- IPv4 and IPv6 addresses and subnets
- MAC addresses, OUI and IAB identifiers, IEEE EUI-64 identifiers
- arbitrary (non-aligned) IP address ranges and IP address sets
- various non-CIDR IP range formats such as nmap and glob-style formats

Included are routines for :-

- generating, sorting and summarizing IP addresses and networks
- performing easy conversions between address notations and formats
- detecting, parsing and formatting network address representations
- performing set-based operations on groups of IP addresses and subnets
- working with arbitrary IP address ranges and formats
- accessing OUI and IAB organisational information published by IEEE
- accessing IP address and block information published by IANA

%prep
%setup -n netaddr-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --prefix=%{_prefix} --root $RPM_BUILD_ROOT 

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS CHANGELOG COPYRIGHT INSTALL LICENSE PKG-INFO README THANKS
%defattr(-,root,root,-)
%attr(0644, root, root)		%{python_sitelib}/netaddr/*
%attr(0644, root, root)		%{python_sitelib}/*egg-info
%attr(0755, root, root)		%{_bindir}/netaddr

%changelog -n python-netaddr 
* Tue Sep 13 2011 David P. D. Moss <drkjam@gmail.com> 0.7.6-1
* Release 0.7.6-1
	Changes since 0.7.5
	-------------------
	* A bug fix point release
	* Refreshed 3rd party data caches
	* Tested against Python 3.2.x and PyPy 1.6.x
	* Fixed unit tests under for Mac OSX

	Specific bug fixes addressed in this release
	--------------------------------------------
	* FIXED Issue 15 - http://github.com/drkjam/netaddr/issues/15
	    - Incorrect and invalid glob produced when last octet is not *
	* FIXED Issue 13 - http://github.com/drkjam/netaddr/issues/13
	    - Added support for IPython 0.11 API changes. Thanks juliantaylor
	* FIXED Issue 11 - http://github.com/drkjam/netaddr/issues/11
	    - Calling valid_glob on cidr raises ValueError. Thanks radicand
	* FIXED Issue 7 - http://github.com/drkjam/netaddr/issues/7
	    - Unpickling Bug in IPSet. Thanks LuizOz and labeneator
	* FIXED Issue 2 - http://github.com/drkjam/netaddr/issues/2
	    - UnboundLocalError raised in IPNetwork constructor. Thanks keesbos
